From f457fc2eb9bb915b5a4d251c7c68d4694cf07b01 Mon Sep 17 00:00:00 2001
From: Maxime Bizon <mbizon@freebox.fr>
Date: Fri, 4 Nov 2011 12:33:48 +0100
Subject: [PATCH 33/63] bcm63xx: add support for 96368MVNgr board.

---
 arch/mips/bcm63xx/boards/board_bcm963xx.c |   67 +++++++++++++++++++++++++++++
 1 files changed, 67 insertions(+), 0 deletions(-)

--- a/arch/mips/bcm63xx/boards/board_bcm963xx.c
+++ b/arch/mips/bcm63xx/boards/board_bcm963xx.c
@@ -1188,6 +1188,46 @@ static struct board_info __initdata boar
 	.has_ohci0 = 1,
 	.has_ehci0 = 1,
 };
+
+static struct board_info __initdata board_96368mvngr = {
+	.name				= "96368MVNgr",
+	.expected_cpu_id		= 0x6368,
+
+	.has_uart0			= 1,
+	.has_pci			= 1,
+	.has_enetsw			= 1,
+
+	.enetsw = {
+		.used_ports = {
+			[0] = {
+				.used	= 1,
+				.phy_id	= 1,
+				.name	= "port1",
+			},
+
+			[1] = {
+				.used	= 1,
+				.phy_id	= 2,
+				.name	= "port2",
+			},
+
+			[2] = {
+				.used	= 1,
+				.phy_id	= 3,
+				.name	= "port3",
+			},
+
+			[3] = {
+				.used	= 1,
+				.phy_id	= 4,
+				.name	= "port4",
+			},
+		},
+	},
+
+	.has_ohci0 = 1,
+	.has_ehci0 = 1,
+};
 #endif /* CONFIG_BCM63XX_CPU_6368 */
 
 /*
@@ -1245,6 +1285,7 @@ static const struct board_info __initcon
 
 #ifdef CONFIG_BCM63XX_CPU_6368
 	&board_96368mvwg,
+	&board_96368mvngr,
 #endif
 };
 
@@ -1306,6 +1347,7 @@ static struct of_device_id const bcm963x
 	{ .compatible = "telsey,cpva642", .data = &board_CPVA642, },
 #endif
 #ifdef CONFIG_BCM63XX_CPU_6368
+	{ .compatible = "brcm,bcm96368mvngr", .data = &board_96368mvngr, },
 	{ .compatible = "brcm,bcm96368mvwg", .data = &board_96368mvwg, },
 #endif
 #ifdef CONFIG_BCM63XX_CPU_63268
